QGIS Application - Bug report #19283
field calculator in not able to add a new field

2018-06-27 03:35 PM - Antonio Viscomi

Status: Closed

Priority: High

Assignee:

Category: Field calculator
Affected QGIS version:2.18.21

Operating System: windows 7 ultimate

Pull Request or Patch supplied:
Crashes QGIS or corrupls data:

Regression?: Yes
Easy fix?: No
Resolution: fixed/implemented

Copied to github as #: 27111

Description

Hi all,

| tried to add a new field using field calculator in 2.18.21 but it comes out with an error box

"impossible to add a new field"

if | add the field from "add field" button it works fine

| attach a scheenshot

best regards

History

#1 - 2018-06-27 03:37 PM - Antonio Viscomi

Sorry,
I miss to flag regression

#2 - 2018-06-27 04:09 PM - Giovanni Manghi
- Regression? changed from No to Yes

Confirmed here (just seen it today in the morning).

Adding a field beforehand from the layer properties works, then it can be filled with the field calculator.

#3 - 2018-06-27 11:39 PM - Jiirgen Fischer

- Subject changed from field calculator in not able to add a new field in QGIS 2.18.21 to field calculator in not able to add a new field

#4 - 2018-07-09 03:42 PM - Salvatore Larosa

- Pull Request or Patch supplied changed from No to Yes

PR - https://github.com/qgis/QGIS/pull/7375

#5 - 2018-07-15 11:35 PM - Salvatore Larosa
- Resolution set to fixed/implemented
- Status changed from Open to Closed
https://github.com/qgis/QGIS/pull/7375

Fixed in changeset commit:0d0adfead74296255f62e19fbff6999f381be660
